Page MenuHomePhabricator

veaction=editsource in the URL should load new wikitext editor
Closed, ResolvedPublic1 Estimated Story Points

Description

Opening an URL like https://www.mediawiki.org/w/index.php?title=Template:Extension&veaction=editsource should load the NWE but doesn't. Besides linking, this also breaks middle-click usage patterns.

Event Timeline

Tgr created this task.May 12 2017, 11:19 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 12 2017, 11:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tgr added a comment.May 12 2017, 11:21 AM

On the other hand action=edit does load it, which did not happen in the past... (which makes the old editor inaccessible, which forces me to opt out of beta since NWE is too bug to always rely on, especially on translated pages).

Jdforrester-WMF reopened this task as Open.May 15 2017, 9:13 AM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Jdforrester-WMF raised the priority of this task from High to Unbreak Now!.May 15 2017, 9:16 AM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptMay 15 2017, 9:16 AM

This only happens on pages where visual mode is not available, and doesn't happen when you select "Always give me the visual editor if possible" in your preferences.

matmarex claimed this task.May 16 2017, 4:47 PM

Change 354020 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Do not check for visual editor availability when loading source editor

https://gerrit.wikimedia.org/r/354020

Change 354020 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Do not check for visual editor availability when loading source editor

https://gerrit.wikimedia.org/r/354020

Change 354126 had a related patch set uploaded (by Jforrester; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@wmf/1.30.0-wmf.1] Do not check for visual editor availability when loading source editor

https://gerrit.wikimedia.org/r/354126

Change 354126 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.30.0-wmf.1] Do not check for visual editor availability when loading source editor

https://gerrit.wikimedia.org/r/354126

Jdforrester-WMF closed this task as Resolved.May 17 2017, 6:32 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 17 2017, 6:32 PM